regina::NormalHypersurfaces::VectorIterator Class Reference
Normal Hypersurfaces

A bidirectional iterator that runs through the raw vectors for hypersurfaces in this list. More...

`#include <hypersurface/normalhypersurfaces.h>`

Inheritance diagram for regina::NormalHypersurfaces::VectorIterator:

## Public Member Functions

| VectorIterator ()
| Creates a new uninitialised iterator. More...
| VectorIterator (const VectorIterator &cloneMe)
| Creates a copy of the given iterator. More...
VectorIterator & | operator= (const VectorIterator &cloneMe)
| Makes this a copy of the given iterator. More...
bool | operator== (const VectorIterator &other) const
| Compares this with the given operator for equality. More...
bool | operator!= (const VectorIterator &other) const
| Compares this with the given operator for inequality. More...
const Ray & | operator* () const
| Returns the raw vector for the normal hypersurface that this iterator is currently pointing to. More...
VectorIterator & | operator++ ()
| The preincrement operator. More...
VectorIterator | operator++ (int)
| The postincrement operator. More...
VectorIterator & | operator-- ()
| The predecrement operator. More...
VectorIterator | operator-- (int)
| The postdecrement operator. More...

## Friends

class | NormalHypersurfaces

## Detailed Description

A bidirectional iterator that runs through the raw vectors for hypersurfaces in this list.

Python:\n Not present.

The documentation for this class was generated from the following file:

- hypersurface/normalhypersurfaces.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).